> ## Documentation Index
> Fetch the complete documentation index at: https://docs.stateset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get a supplier

> Get a supplier

### Path parameters

<ParamField path="id" type="string" required>
  Supplier ID
</ParamField>

### Responses

<ResponseField name="200" type="SupplierResponse" />

<ResponseField name="404" type="ErrorBody" />

<RequestExample>
  ```bash cURL theme={null}
  curl --request GET \
    --url 'https://api.stateset.com/api/v1/suppliers/{id}' \
    --header 'Authorization: Bearer YOUR_API_KEY'
  ```
</RequestExample>

<ResponseExample>
  ```json 200 theme={null}
  {
    "contact_name": null,
    "country": null,
    "created_at": "string",
    "currency": "string",
    "email": null,
    "id": "string",
    "is_active": true,
    "lead_time_days": null,
    "minimum_order": null,
    "name": "string",
    "payment_terms": "string",
    "phone": null,
    "supplier_code": "string"
  }
  ```
</ResponseExample>
